Page MenuHomePhabricator

taksel in Qubes-Whonix builds unwanted and breaking the build
Closed, ResolvedPublic

Description

Qubes build, make template failed. Likely because I was using REPO_PROXY. (Which was working above for all package installations just fine.) Log attached below. Perhaps failed because using apt-get instead of apt-get.anondist-orig. Anyhow.

Using tasksel --new-install --task-packages standard for Whonix templates is a bad idea. For Whonix we like to have the list of installed default packages under tight control for security/privacy/anonymity reasons. This is defined here:

tasksel can be a source of inspiration, help us checking which packages may be missing, however automating this is a bad idea. If we wanted to do this, it should be done in Whonix's code. Not in Qubes Builder. That's outside of Qubes Builder's purpose.

Therefore, to fix this issue breaking the build, can you please just remove the taksel package installation? @nrgaway

EDIT 1

+ debug 'Installing extra packages from: /home/user/qubes-builder/qubes-src/builder-debian/template_debian/packages_jessie_standard.list' - Also failing. But we don't want packages_jessie_standard.list in Whonix either.

EDIT 2

Also installing:

  • qubes-pdf-converter
  • qubes-gpg-split
  • qubes-thunderbird

Is unwanted in Whonix-Gateway.


+ '[' -f /home/user/qubes-builder/qubes-src/linux-template-builder/mnt//tmp/.debian_packages ']'
++ chroot tasksel --new-install --task-packages standard
++ local retval
++ true ''
++ '[' '' == 1 ']'
++ /usr/sbin/chroot /home/user/qubes-builder/qubes-src/linux-template-builder/mnt tasksel --new-install --task-packages standard
++ retval=0
++ true
++ true ''
++ return 0
+ packages='m4
aptitude-common
mlocate
apt-listchanges
time
wamerican
dc
ftp
mutt
texinfo
deb.torproject.org-keyring
libswitch-perl
host
w3m
install-info
nfs-common
debian-faq
procmail
doc-debian
whois
rpcbind
exim4
aptitude
reportbug
libclass-isa-perl
python-reportbug
python-apt
info'
+ aptInstall m4 aptitude-common mlocate apt-listchanges time wamerican dc ftp mutt texinfo deb.torproject.org-keyring libswitch-perl host w3m install-info nfs-common debian-faq procmail doc-debian whois rpcbind exim4 aptitude reportbug libclass-isa-perl python-reportbug python-apt info
+ files='m4 aptitude-common mlocate apt-listchanges time wamerican dc ftp mutt texinfo deb.torproject.org-keyring libswitch-perl host w3m install-info nfs-common debian-faq procmail doc-debian whois rpcbind exim4 aptitude reportbug libclass-isa-perl python-reportbug python-apt info'
+ DEBIAN_FRONTEND=noninteractive
+ DEBIAN_PRIORITY=critical
+ DEBCONF_NOWARNINGS=yes
+ chroot eatmydata apt-get -o Dpkg::Options::=--force-confnew --yes -o Acquire::Retries=3 -o Dpkg::Options::=--force-unsafe-io -o Acquire::http::Proxy=http://127.0.0.1:3142 install m4 aptitude-common mlocate apt-listchanges time wamerican dc ftp mutt texinfo deb.torproject.org-keyring libswitch-perl host w3m install-info nfs-common debian-faq procmail doc-debian whois rpcbind exim4 aptitude reportbug libclass-isa-perl python-reportbug python-apt info
+ local retval
+ true ''
+ '[' '' == 1 ']'
+ /usr/sbin/chroot /home/user/qubes-builder/qubes-src/linux-template-builder/mnt eatmydata apt-get -o Dpkg::Options::=--force-confnew --yes -o Acquire::Retries=3 -o Dpkg::Options::=--force-unsafe-io -o Acquire::http::Proxy=http://127.0.0.1:3142 install m4 aptitude-common mlocate apt-listchanges time wamerican dc ftp mutt texinfo deb.torproject.org-keyring libswitch-perl host w3m install-info nfs-common debian-faq procmail doc-debian whois rpcbind exim4 aptitude reportbug libclass-isa-perl python-reportbug python-apt info
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  aptitude-doc-en docutils-common docutils-doc libcwidget3 libgc1c2 libintl-perl libnfsidmap2 libpaper-utils libtext-unidecode-perl libtirpc1
  libtokyocabinet9 libwebpdemux1 libwebpmux1 libxml-libxml-perl libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-expat-perl libxml-sax-perl
  python-debian python-debianbts python-defusedxml python-docutils python-pil python-pygments python-roman python-soappy python-wstools
Suggested packages:
  www-browser python-glade2 python-gtk2 debtags apt-xapian-index texinfo-doc-nonfree libcwidget-dev libintl-xs-perl urlview mixmaster open-iscsi watchdog
  python-apt-dbg python-vte python-apt-doc texlive-latex-recommended texlive-latex-base texlive-lang-french fonts-linuxlibertine ttf-linux-libertine
  python-pil-doc python-pil-dbg ttf-bitstream-vera debconf-utils dlocate python-urwid python-gtkspell emacs23-bin-common emacs24-bin-common claws-mail
  texlive-base texlive-generic-recommended w3m-img w3m-el cmigemo
The following NEW packages will be installed:
  apt-listchanges aptitude aptitude-common aptitude-doc-en dc deb.torproject.org-keyring debian-faq doc-debian docutils-common docutils-doc exim4 ftp host
  info install-info libclass-isa-perl libcwidget3 libgc1c2 libintl-perl libnfsidmap2 libpaper-utils libswitch-perl libtext-unidecode-perl libtirpc1
  libtokyocabinet9 libwebpdemux1 libwebpmux1 libxml-libxml-perl libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-expat-perl libxml-sax-perl m4
  mlocate mutt nfs-common procmail python-apt python-debian python-debianbts python-defusedxml python-docutils python-pil python-pygments python-reportbug
  python-roman python-soappy python-wstools reportbug rpcbind texinfo time w3m wamerican whois
0 upgraded, 55 newly installed, 0 to remove and 0 not upgraded.
Need to get 15.3 MB of archives.
After this operation, 57.8 MB of additional disk space will be used.
Err http://deb.torproject.org/torproject.org/ jessie/main deb.torproject.org-keyring all 2014.08.31+b1
  Could not connect to 127.0.0.1:3142 (127.0.0.1). - connect (111: Connection refused)
Err http://security.debian.org/ jessie/updates/main host all 1:9.9.5.dfsg-9+deb8u2
  Unable to connect to 127.0.0.1:3142:
Err http://deb.torproject.org/torproject.org/ jessie/main deb.torproject.org-keyring all 2014.08.31+b1
  Unable to connect to 127.0.0.1:3142:
Err http://security.debian.org/ jessie/updates/main host all 1:9.9.5.dfsg-9+deb8u2
  Unable to connect to 127.0.0.1:3142:
Err http://deb.torproject.org/torproject.org/ jessie/main deb.torproject.org-keyring all 2014.08.31+b1
  Unable to connect to 127.0.0.1:3142:
Err http://security.debian.org/ jessie/updates/main host all 1:9.9.5.dfsg-9+deb8u2
  Unable to connect to 127.0.0.1:3142:
Err http://deb.torproject.org/torproject.org/ jessie/main deb.torproject.org-keyring all 2014.08.31+b1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-libxml-perl amd64 2.0116+dfsg-1+deb8u1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-libxml-perl amd64 2.0116+dfsg-1+deb8u1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main install-info amd64 5.2.0.dfsg.1-6
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libcwidget3 amd64 0.5.17-2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libgc1c2 amd64 1:7.2d-6.4
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libnfsidmap2 amd64 0.25-5
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libtirpc1 amd64 0.2.5-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libtokyocabinet9 amd64 1.4.48-3
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libwebpdemux1 amd64 0.4.1-1.2+b2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libwebpmux1 amd64 0.4.1-1.2+b2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-apt amd64 0.9.3.11
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main apt-listchanges all 2.85.13+nmu1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main aptitude-common all 0.6.11-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main aptitude amd64 0.6.11-1+b1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main dc amd64 1.06.95-9
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main debian-faq all 5.0.3
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-libxml-perl amd64 2.0116+dfsg-1+deb8u1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main doc-debian all 6.2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main exim4 all 4.84-8
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main ftp amd64 0.17-31
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main info amd64 5.2.0.dfsg.1-6
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libclass-isa-perl all 0.36-5
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libswitch-perl all 2.17-2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main m4 amd64 1.4.17-4
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main mlocate amd64 0.26-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main mutt amd64 1.5.23-3
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main rpcbind amd64 0.2.1-6
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main nfs-common amd64 1:1.2.8-9
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main procmail amd64 3.22-24
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-debian all 0.1.27
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-defusedxml all 0.4.1-2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-roman all 2.0.0-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main docutils-common all 0.12+dfsg-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-docutils all 0.12+dfsg-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-wstools all 0.4.3-2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-soappy all 0.12.22-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-debianbts all 1.12
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-reportbug all 6.6.3
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main reportbug all 6.6.3
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libtext-unidecode-perl all 1.22-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libintl-perl all 1.23-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-namespacesupport-perl all 1.11-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-sax-base-perl all 1.07-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-sax-perl all 0.99+dfsg-2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main texinfo amd64 5.2.0.dfsg.1-6
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main time amd64 1.7-25
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main w3m amd64 0.5.3-19
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main wamerican all 7.1-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main whois amd64 5.2.7
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main aptitude-doc-en all 0.6.11-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main docutils-doc all 0.12+dfsg-1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libpaper-utils amd64 1.1.24+nmu4
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-sax-expat-perl all 0.40-2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-pil amd64 2.6.1-2
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main python-pygments all 2.0.1+dfsg-1.1
  Unable to connect to 127.0.0.1:3142:
Err http://ftp.us.debian.org/debian/ jessie/main libxml-libxml-perl amd64 2.0116+dfsg-1+deb8u1
  Unable to connect to 127.0.0.1:3142:
E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/t/texinfo/install-info_5.2.0.dfsg.1-6_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/c/cwidget/libcwidget3_0.5.17-2_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libg/libgc/libgc1c2_7.2d-6.4_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libn/libnfsidmap/libnfsidmap2_0.25-5_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libt/libtirpc/libtirpc1_0.2.5-1_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/t/tokyocabinet/libtokyocabinet9_1.4.48-3_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libw/libwebp/libwebpdemux1_0.4.1-1.2+b2_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libw/libwebp/libwebpmux1_0.4.1-1.2+b2_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://deb.torproject.org/torproject.org/pool/main/d/deb.torproject.org-keyring/deb.torproject.org-keyring_2014.08.31+b1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-apt/python-apt_0.9.3.11_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/a/apt-listchanges/apt-listchanges_2.85.13+nmu1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/a/aptitude/aptitude-common_0.6.11-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/a/aptitude/aptitude_0.6.11-1+b1_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/b/bc/dc_1.06.95-9_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/d/debian-faq/debian-faq_5.0.3_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/d/doc-debian/doc-debian_6.2_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/e/exim4/exim4_4.84-8_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/n/netkit-ftp/ftp_0.17-31_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://security.debian.org/pool/updates/main/b/bind9/host_9.9.5.dfsg-9+deb8u2_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/t/texinfo/info_5.2.0.dfsg.1-6_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libc/libclass-isa-perl/libclass-isa-perl_0.36-5_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libs/libswitch-perl/libswitch-perl_2.17-2_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/m/m4/m4_1.4.17-4_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/m/mlocate/mlocate_0.26-1_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/m/mutt/mutt_1.5.23-3_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/r/rpcbind/rpcbind_0.2.1-6_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/n/nfs-utils/nfs-common_1.2.8-9_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/procmail/procmail_3.22-24_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-debian/python-debian_0.1.27_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/d/defusedxml/python-defusedxml_0.4.1-2_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-roman/python-roman_2.0.0-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-docutils/docutils-common_0.12+dfsg-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-docutils/python-docutils_0.12+dfsg-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-wstools/python-wstools_0.4.3-2_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-soappy/python-soappy_0.12.22-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-debianbts/python-debianbts_1.12_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/r/reportbug/python-reportbug_6.6.3_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/r/reportbug/reportbug_6.6.3_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libt/libtext-unidecode-perl/libtext-unidecode-perl_1.22-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libi/libintl-perl/libintl-perl_1.23-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libx/libxml-namespacesupport-perl/libxml-namespacesupport-perl_1.11-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libx/libxml-sax-base-perl/libxml-sax-base-perl_1.07-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libx/libxml-sax-perl/libxml-sax-perl_0.99+dfsg-2_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libx/libxml-libxml-perl/libxml-libxml-perl_2.0116+dfsg-1+deb8u1_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/t/texinfo/texinfo_5.2.0.dfsg.1-6_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/t/time/time_1.7-25_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/w/w3m/w3m_0.5.3-19_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/s/scowl/wamerican_7.1-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/w/whois/whois_5.2.7_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/a/aptitude/aptitude-doc-en_0.6.11-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/python-docutils/docutils-doc_0.12+dfsg-1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libp/libpaper/libpaper-utils_1.1.24+nmu4_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/libx/libxml-sax-expat-perl/libxml-sax-expat-perl_0.40-2_all.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/pillow/python-pil_2.6.1-2_amd64.deb  Unable to connect to 127.0.0.1:3142:

E: Failed to fetch http://ftp.us.debian.org/debian/pool/main/p/pygments/python-pygments_2.0.1+dfsg-1.1_all.deb  Unable to connect to 127.0.0.1:3142:

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
+ retval=100
+ true
+ true ''
+ return 100
+ cleanup
+ errval=100
+ trap - ERR EXIT
+ trap
+ error '/home/user/qubes-builder/qubes-src/builder-debian/template_debian/02_install_groups.sh: Error.  Cleaning up and un-mounting any existing mounts'
+ output 'ERROR: /home/user/qubes-builder/qubes-src/builder-debian/template_debian/02_install_groups.sh:' Error. Cleaning up and un-mounting any existing 'mounts'
+ '[' 2 -ge 1 ']'
+ [[ -z '' ]]
+ [[ ehB != ehxB ]]
+ umount_all
+ directory=/home/user/qubes-builder/qubes-src/linux-template-builder/mnt
+ '[' /home/user/qubes-builder/qubes-src/linux-template-builder/mnt == /home/user/qubes-builder/qubes-src/linux-template-builder/mnt -o /home/user/qubes-builder/qubes-src/linux-template-builder/mnt == /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/ ']'
++ mountPoints
+++ mountPoint ''
+++ local mount_point=
+++ [[ '' = /* ]]
++++ readlink -m .
+++ mount_point=/home/user/qubes-builder/qubes-src/linux-template-builder/
++++ echo /home/user/qubes-builder/qubes-src/linux-template-builder/
++++ sed 's#//*#/#g'
+++ echo /home/user/qubes-builder/qubes-src/linux-template-builder/
++ local mount_point=/home/user/qubes-builder/qubes-src/linux-template-builder/
+++ sudo grep /home/user/qubes-builder/qubes-src/linux-template-builder/ /proc/mounts
+++ cut -f2 '-d '
+++ sort -r
+++ grep '^/home/user/qubes-builder/qubes-src/linux-template-builder/'
++ echo '/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/sys
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/run
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/proc
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/home/user/Whonix
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/shm
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/pts
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt'
+ '[' -n '/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/sys
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/run
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/proc
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/home/user/Whonix
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/shm
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/pts
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev
/home/user/qubes-builder/qubes-src/linux-template-builder/mnt' ']'
+ removeDbusUuid
+ '[' -e /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/var/lib/dbus/machine-id ']'
+ outputc red 'Removing generated machine uuid...'
+ color=red
+ shift
+ output 'Removing' generated machine 'uuid...'
+ '[' 2 -ge 1 ']'
+ [[ -z '' ]]
+ [[ ehB != ehxB ]]
+ rm -f /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/var/lib/dbus/machine-id
+ removeDivertPolicy
+ outputc red 'Reactivating initctl...'
+ color=red
+ shift
+ output 'Reactivating' 'initctl...'
+ '[' 2 -ge 1 ']'
+ [[ -z '' ]]
+ [[ ehB != ehxB ]]
+ chroot dpkg-divert --local --rename --remove /sbin/initctl
+ local retval
+ true ''
+ '[' '' == 1 ']'
+ /usr/sbin/chroot /home/user/qubes-builder/qubes-src/linux-template-builder/mnt dpkg-divert --local --rename --remove /sbin/initctl
Removing 'local diversion of /sbin/initctl to /sbin/initctl.distrib'
+ retval=0
+ true
+ true ''
+ return 0
+ outputc green 'Removing policy-rc.d'
+ color=green
+ shift
+ output 'Removing' 'policy-rc.d'
+ '[' 2 -ge 1 ']'
+ [[ -z '' ]]
+ [[ ehB != ehxB ]]
+ rm -f /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/usr/sbin/policy-rc.d
+ outputc red 'Restoring invoke-rc.d...'
+ color=red
+ shift
+ output 'Restoring' 'invoke-rc.d...'
+ '[' 2 -ge 1 ']'
+ [[ -z '' ]]
+ [[ ehB != ehxB ]]
+ chroot sed -i -e 's/exit 0 #exit 100/exit 100/' /usr/sbin/invoke-rc.d
+ local retval
+ true ''
+ '[' '' == 1 ']'
+ /usr/sbin/chroot /home/user/qubes-builder/qubes-src/linux-template-builder/mnt sed -i -e 's/exit 0 #exit 100/exit 100/' /usr/sbin/invoke-rc.d
+ retval=0
+ true
+ true ''
+ return 0
+ umount_kill /home/user/qubes-builder/qubes-src/linux-template-builder/mnt
++ getXtrace
++ [[ hB != hxB ]]
++ echo 0
+ local xtrace=0
+ set +x
Attempting to kill any processes still running in '/home/user/qubes-builder/qubes-src/linux-template-builder/mnt' before un-mounting
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/sys
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/run
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/proc
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/home/user/Whonix
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/shm
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev/pts
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt/dev
INFO: umount /home/user/qubes-builder/qubes-src/linux-template-builder/mnt
+ [[ -n 0 ]]
+ [[ 0 -eq 0 ]]
+ set -x
+ exit 100
+ umount_kill /home/user/qubes-builder/qubes-src/linux-template-builder/mnt
++ getXtrace
++ [[ hB != hxB ]]
++ echo 0
+ local xtrace=0
+ set +x
Attempting to kill any processes still running in '/home/user/qubes-builder/qubes-src/linux-template-builder/mnt' before un-mounting
Makefile:47: recipe for target 'rootimg-build' failed
make[1]: *** [rootimg-build] Error 100
Makefile:279: recipe for target 'template-local-jessie+whonix-gateway+standard' failed
make: *** [template-local-jessie+whonix-gateway+standard] Error 1

Details

Impact
High

Event Timeline

Patrick created this task.Aug 6 2015, 8:35 PM
Patrick assigned this task to nrgaway.
Patrick raised the priority of this task from to High.
Patrick updated the task description. (Show Details)
Patrick set Impact to High.
Patrick added subscribers: Patrick, nrgaway, marmarek.
Patrick updated the task description. (Show Details)Aug 6 2015, 8:52 PM
Patrick updated the task description. (Show Details)Aug 6 2015, 9:01 PM

I think those are two totally unrelated issues:

  1. Build failure
  2. Usage of tasksel (and more generally - default package list for Qubes Debian template) in Whonix template build

Regarding build failure - what value for REPO_PROXY did you set in builder.conf? Did you actually started a proxy there? Or maybe the proxy crashed for some reason?

In T391#6309, @marmarek wrote:

I think those are two totally unrelated issues:

  1. Build failure
  2. Usage of tasksel (and more generally - default package list for Qubes Debian template) in Whonix template build

Yes.

Regarding build failure - what value for REPO_PROXY did you set in builder.conf?

Not in builder.conf. Only using override.conf:

REPO_PROXY = http://127.0.0.1:3142

(Always followed by ./setup when making changes, seems required.)

Did you actually started a proxy there?

Yes. Otherwise it would have failed much earlier. (I know this, because I learned by mistake to not forget the http:// part of the proxy. ;)

Or maybe the proxy crashed for some reason?

Indeed.

[user@qubes-build qubes-builder]$ sudo service apt-cacher-ng status
Redirecting to /bin/systemctl status  apt-cacher-ng.service
● apt-cacher-ng.service - The apt-cacher-ng proxy server
   Loaded: loaded (/usr/lib/systemd/system/apt-cacher-ng.service; disabled)
   Active: failed (Result: exit-code) since Thu 2015-08-06 19:23:01 CEST; 3h 40min ago
  Process: 2790 ExecStop=/bin/kill -s QUIT $MAINPID (code=exited, status=1/FAILURE)
  Process: 6963 ExecStart=/usr/sbin/apt-cacher-ng $DAEMON_OPTS pidfile=/var/run/apt-cacher-ng/pid SocketPath=/var/run/apt-cacher-ng/socket foreground=0 $EXTRA_ACNG_OPTS (code=exited, status=0/SUCCESS)
 Main PID: 6964 (code=killed, signal=TERM)

Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_debian found in config or support directories.
Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_ubuntu found in config or support directories.
Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_debvol found in config or support directories.
Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_gentoo found in config or support directories.
Aug 06 18:35:22 qubes-build systemd[1]: Started The apt-cacher-ng proxy server.
Aug 06 19:23:01 qubes-build kill[2790]: kill: not enough arguments
Aug 06 19:23:01 qubes-build systemd[1]: apt-cacher-ng.service: control process exited, code=exited status=1
Aug 06 19:23:01 qubes-build systemd[1]: Unit apt-cacher-ng.service entered failed state.
Aug 06 19:23:01 qubes-build systemd[1]: apt-cacher-ng.service failed.
[user@qubes-build qubes-builder]$ sudo journalctl -u apt-cacher-ng
-- Logs begin at Thu 2015-07-09 20:13:58 CEST, end at Thu 2015-08-06 23:08:14 CEST. --
Aug 06 18:35:22 qubes-build systemd[1]: Starting The apt-cacher-ng proxy server...
Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_debian found in config or support directories.
Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_ubuntu found in config or support directories.
Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_debvol found in config or support directories.
Aug 06 18:35:22 qubes-build apt-cacher-ng[6963]: WARNING: No URL list file matching file:backends_gentoo found in config or support directories.
Aug 06 18:35:22 qubes-build systemd[1]: Started The apt-cacher-ng proxy server.
Aug 06 19:23:01 qubes-build kill[2790]: kill: not enough arguments
Aug 06 19:23:01 qubes-build systemd[1]: apt-cacher-ng.service: control process exited, code=exited status=1
Aug 06 19:23:01 qubes-build systemd[1]: Unit apt-cacher-ng.service entered failed state.
Aug 06 19:23:01 qubes-build systemd[1]: apt-cacher-ng.service failed.

Wild speculation: perhaps the build script killed apt-cacher-ng running on the build VM level?

In T391#6310, @Patrick wrote:

Wild speculation: perhaps the build script killed apt-cacher-ng running on the build VM level?

Quite possible. There is a code to stop apt-cacher-ng. Maybe somehow calling service from within chroot still communicates with the outside systemd?

Patrick closed this task as Resolved.Aug 14 2015, 5:25 PM

No longer using taksel. Building Whonix templates now with flavor minimal and no-recommends to get better control of the installed packages. Therefore also no more build error.